### Hierarchy

- Cookie

## Index

### Interfaces

- ParseOptions
- Properties
- Serialized

### Constructors

- constructor

### Properties

- creation
- creationIndex
- domain
- expires
- extensions
- hostOnly
- httpOnly
- key
- lastAccessed
- maxAge
- path
- pathIsDefault
- secure
- value

### Methods

- TTL
- canonicalizedDomain
- cdomain
- clone
- cookieString
- expiryDate
- expiryTime
- setExpires
- setMaxAge
- toJSON
- toString
- validate
- fromJSON
- parse

## Constructors

### constructor

- new Cookie(properties?: Properties): Cookie

- - Defined in node_modules/@types/tough-cookie/index.d.ts:72

  #### Parameters

  - ##### Optional properties: Properties

  #### Returns Cookie

## Properties

### creation

creation: Date

- Defined in node_modules/@types/tough-cookie/index.d.ts:87

### creationIndex

creationIndex: number

- Defined in node_modules/@types/tough-cookie/index.d.ts:88

### domain

domain: string

- Defined in node_modules/@types/tough-cookie/index.d.ts:82

### expires

expires: Date

- Defined in node_modules/@types/tough-cookie/index.d.ts:80

### extensions

extensions: string[]

- Defined in node_modules/@types/tough-cookie/index.d.ts:86

### hostOnly

hostOnly: boolean | null

- Defined in node_modules/@types/tough-cookie/index.d.ts:90

### httpOnly

httpOnly: boolean

- Defined in node_modules/@types/tough-cookie/index.d.ts:85

### key

key: string

- Defined in node_modules/@types/tough-cookie/index.d.ts:78

### lastAccessed

lastAccessed: Date | null

- Defined in node_modules/@types/tough-cookie/index.d.ts:92

### maxAge

maxAge: number | "Infinity" | "-Infinity"

- Defined in node_modules/@types/tough-cookie/index.d.ts:81

### path

path: string

- Defined in node_modules/@types/tough-cookie/index.d.ts:83

### pathIsDefault

pathIsDefault: boolean | null

- Defined in node_modules/@types/tough-cookie/index.d.ts:91

### secure

secure: boolean

- Defined in node_modules/@types/tough-cookie/index.d.ts:84

### value

value: string

- Defined in node_modules/@types/tough-cookie/index.d.ts:79

## Methods

### TTL

- TTL(now?: Date): number | number

- - Defined in node_modules/@types/tough-cookie/index.d.ts:106

  #### Parameters

  - ##### Optional now: Date

  #### Returns number | number

### canonicalizedDomain

- canonicalizedDomain(): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:108

  #### Returns string

### cdomain

- cdomain(): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:110

  #### Returns string

### clone

- clone(): Cookie

- - Defined in node_modules/@types/tough-cookie/index.d.ts:114

  #### Returns Cookie

### cookieString

- cookieString(): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:96

  #### Returns string

### expiryDate

- expiryDate(now?: undefined | number): Date

- - Defined in node_modules/@types/tough-cookie/index.d.ts:104

  #### Parameters

  - ##### Optional now: undefined | number

  #### Returns Date

### expiryTime

- expiryTime(now?: undefined | number): number | number

- - Defined in node_modules/@types/tough-cookie/index.d.ts:102

  #### Parameters

  - ##### Optional now: undefined | number

  #### Returns number | number

### setExpires

- setExpires(String: string): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:98

  #### Parameters

  - ##### String: string

  #### Returns void

### setMaxAge

- setMaxAge(number: number): void

- - Defined in node_modules/@types/tough-cookie/index.d.ts:100

  #### Parameters

  - ##### number: number

  #### Returns void

### toJSON

- toJSON(): object

- - Defined in node_modules/@types/tough-cookie/index.d.ts:112

  #### Returns object

  - ##### [key: string]: any

### toString

- toString(): string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:94

  #### Returns string

### validate

- validate(): boolean | string

- - Defined in node_modules/@types/tough-cookie/index.d.ts:116

  #### Returns boolean | string

### Static fromJSON

- fromJSON(strOrObj: string | object): Cookie | null

- - Defined in node_modules/@types/tough-cookie/index.d.ts:72

  #### Parameters

  - ##### strOrObj: string | object

  #### Returns Cookie | null

### Static parse

- parse(cookieString: string, options?: ParseOptions): Cookie | undefined

- - Defined in node_modules/@types/tough-cookie/index.d.ts:70

  #### Parameters

  - ##### cookieString: string

  - ##### Optional options: ParseOptions

  #### Returns Cookie | undefined

Generated using TypeDoc